Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans
Class DateChooserPanelBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          datechooser.beans.AbstractDateChooserBeanInfo
              datechooser.beans.DateChooserPanelBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class DateChooserPanelBeanInfo

extends AbstractDateChooserBeanInfo

Info class for DateChooserPanel.
Класс с описание свойств панели выбора даты.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `AbstractDateChooserBeanInfo`, `DateChooserPanel`

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`DateChooserPanelBeanInfo()`

Method Summary
`java.util.ArrayList<java.beans.PropertyDescriptor>` | `getAdditionalDescriptors()` Unique descriptors for DateChooserPanel.
`protected java.lang.Class` | `getBeanClass()` Возвращает класс компонента.
`protected java.lang.Class` | `getCustomizerClass()` Возвращает класс-настройщик.
`protected java.lang.String` | `getDisplayName()` Возвращает название компонента.
`protected java.lang.String` | `getPicturePrefix()` Возвращает начало названия фалов с изображениями для данного компонента.

Methods inherited from class datechooser.beans.AbstractDateChooserBeanInfo
`getBeanDescriptor, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getPropertyDescriptors`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateChooserPanelBeanInfo

    public DateChooserPanelBeanInfo()

Method Detail

### getDisplayName

    protected java.lang.String getDisplayName()

  Description copied from class: `AbstractDateChooserBeanInfo`
  Возвращает название компонента.

  Specified by:
    `getDisplayName` in class `AbstractDateChooserBeanInfo`
  Returns:
    Название компонента

### getPicturePrefix

    protected java.lang.String getPicturePrefix()

  Description copied from class: `AbstractDateChooserBeanInfo`
  Возвращает начало названия фалов с изображениями для данного компонента.

  Specified by:
    `getPicturePrefix` in class `AbstractDateChooserBeanInfo`
  Returns:
    Начало названия

### getBeanClass

    protected java.lang.Class getBeanClass()

  Description copied from class: `AbstractDateChooserBeanInfo`
  Возвращает класс компонента.

  Specified by:
    `getBeanClass` in class `AbstractDateChooserBeanInfo`
  Returns:
    Класс компонента.

### getCustomizerClass

    protected java.lang.Class getCustomizerClass()

  Description copied from class: `AbstractDateChooserBeanInfo`
  Возвращает класс-настройщик.

  Specified by:
    `getCustomizerClass` in class `AbstractDateChooserBeanInfo`
  Returns:
    Класс настройщик.

### getAdditionalDescriptors

    public java.util.ArrayList<java.beans.PropertyDescriptor> getAdditionalDescriptors()
                                                                                throws java.beans.IntrospectionException

  Unique descriptors for DateChooserPanel.
  Уникальные дескрипторы свойств для DateChooserPanel.

  Specified by:
    `getAdditionalDescriptors` in class `AbstractDateChooserBeanInfo`
  Returns:
    Unique descriptors for DateChooserPanel.
    Уникальные дескрипторы свойств для DateChooserPanel.
  Throws:
    `java.beans.IntrospectionException`
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD